import javax.media.opengl.GL;
import javax.media.opengl.glu.GLU;

public class Orthographic implements Projection
{
    protected double left;
    protected double right;
    protected double bottom;
    protected double top;
    protected double near;
    protected double far;

    public Orthographic(double left, double right,
			double bottom, double top,
			double near, double far)
    {
	this.left = left;
	this.right = right;
	this.bottom = bottom;
	this.top = top;
	this.near = near;
	this.far = far;
    }

    public void apply()
    {
	final GL gl = Renderer.GL;
	final GLU glu = Renderer.GLU;

	gl.glMatrixMode(GL.GL_PROJECTION);
	gl.glLoadIdentity();
	gl.glOrtho(this.left, this.right,
		   this.bottom, this.top,
		   this.near, this.far);

	gl.glMatrixMode(GL.GL_MODELVIEW);
	gl.glLoadIdentity();
    }
}
