import javax.media.opengl.GL;
import javax.media.opengl.glu.GLU;

public class Orthographic2D implements Projection
{
    protected double width;
    protected double height;

    public Orthographic2D(double width, double height)
    {
	this.width = width;
	this.height = height;
    }

    public void apply()
    {
	final GL gl = Renderer.GL;
	final GLU glu = Renderer.GLU;

	gl.glMatrixMode(GL.GL_PROJECTION);
	gl.glLoadIdentity();
	gl.glOrtho(0.0, this.width, this.height, 0.0, -1.0, 1.0);

	gl.glMatrixMode(GL.GL_MODELVIEW);
	gl.glLoadIdentity();
    }
}
