import javax.media.opengl.GL;
import javax.media.opengl.glu.GLU;

public class Perspective implements Projection
{
    protected double theFov;
    protected double theAspect;
    protected double theNearPlane;
    protected double theFarPlane;

    public Perspective(double fov, double aspect, double near, double far)
    {
	this.theFov = fov;
	this.theAspect = aspect;
	this.theNearPlane = near;
	this.theFarPlane = far;
    }

    public void apply()
    {
	final GL gl = Renderer.GL;
	final GLU glu = Renderer.GLU;

	gl.glMatrixMode(GL.GL_PROJECTION);
	gl.glLoadIdentity();
	glu.gluPerspective(this.theFov, this.theAspect, this.theNearPlane, this.theFarPlane);

	gl.glMatrixMode(GL.GL_MODELVIEW);
	gl.glLoadIdentity();
    }
}
