import java.util.*;
/*
 *  SarsaAgent.java
 *  
 *
 *  Created by Adam White onNov 21 2005.
 *  Copyright (c) 2005 UAlberta. All rights reserved.
 * 
 *  A GENERAL simple tabluar agent that uses sarsa policy iteration.
 *  Desgined for Episodic tasks. 
 *  
 *  State: Integer Single Dimension
 *  Actions: Integer Single dimension
 *
 */ 
 
public class RandomAgent implements Agent
{
    int numActions;
    Random theGenerator;

    RandomAgent(int numActions)
    {
	this.numActions = numActions;
	this.theGenerator = new Random();
    }

    public void init()
    {
    }            
    
    public Integer start(Integer obs)
    {
	return new Integer(this.theGenerator.nextInt(this.numActions));
    }
    
    public Integer step(Double r, Integer obs)
    {
	return new Integer(this.theGenerator.nextInt(this.numActions));
    }
    
    public void end(Double r)
    {
    }    
    
    public void cleanup()
    {
    }

    public void setAlpha(double a)
    {
    }

    public void setEpsilon(double e)
    {
    }

    public double getAlpha()
    {
	return 0.0;
    }

    public double getEpsilon()
    {
	return 0.0;
    }

    public void resetValue()
    {
    }

}
